manifestVersion: 1
id: fedimintd
category: bitcoin
name: Fedimint
version: "v0.11.1"
tagline: Федеративный монетный двор электронных денег Чаумиан для Bitcoin
description: >-
  Fedimint — это федерированный монетный двор электронных денег Chaumian, предназначенный для хранения и проведения транзакций биткойнов в сообществе. Это позволяет группам доверенных лиц, 
  называемые опекунами, для совместного управления монетным двором электронных денег с мультиподписями.
  
  # Создание федерации
  
  Создать Федиминт можно двумя способами:
  
  - Единая Федерация Хранителей — Один Хранитель, управляющий собственным монетным двором.
  
  - Групповая федерация — несколько стражей вместе управляют монетным двором (минимум 4 стража).
  
  [Дополнительные рекомендации по развертыванию см. здесь](https://github.com/fedimint/fedimint/blob/master/docs/deploying.md)
  
  # Церемония шаг за шагом
  
  1. Установите и запустите это приложение Fedimint (fedimintd) на своем DFWebOS.
     Каждый участвующий опекун запускает свой собственный экземпляр fedimintd.
  
  2. Установите пароль
     При первом запуске fedimintd каждый хранитель должен создать безопасный пароль.
  
  3. Создайте код установки.
     После ввода пароля для каждого опекуна генерируется уникальный код настройки.
  
  4. Коды настройки обмена
     Все опекуны должны делиться своими кодами настройки друг с другом (каждому опекуну нужен код каждого другого опекуна).
  
  5. Распределенная генерация ключей (DKG)
     После ввода всех кодов настройки начинается процесс DKG. Здесь совместно создаются криптографические ключи федерации.
     Этот шаг может занять некоторое время, пока все опекуны подключатся.
  
  6. Федерация завершена!
     Как только DKG завершится, ваша федерация заработает. Ваша панель опекуна будет доступна для мониторинга. Теперь у вас есть работающий Федиминт!
  
  # Включение платежей Lightning
  
  Fedimint поддерживает платежи Lightning через шлюз Lightning. Чтобы использовать Lightning в вашей федерации, есть два варианта:
  
  1. Запустите свой собственный! - [Разверните шлюз Lightning на своем DFWebOS](https://apps.dfwebos.com/app/fedimint-gateway).
  
  2. Используйте существующий шлюз Lightning. [Обратитесь в Discord, чтобы настроить](https://chat.fedimint.org).
  
  
developer: Fedimint Developers
website: https://fedimint.org/
dependencies:
  - bitcoin
repo: https://github.com/fedimint/fedimint
support: https://github.com/fedimint/fedimint/issues
port: 8175
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultUsername: ""
defaultPassword: ""
submitter: Fedimint Developers
submission: https://github.com/getumbrel/dfwebos-apps/pull/3371
releaseNotes: >-
  Этот выпуск включает в себя значительные улучшения в работе шлюза, обнаружении опекунов и общей надежности:
  
  
  Улучшения шлюза:
    - Новая мнемоника первой загрузки и порядок восстановления шлюзов.
    - Экспорт и импорт кодов приглашения федерации для упрощения восстановления.
    - Поддержка отправки/получения BOLT12 в шлюзе интерфейс
    - Переключение отображения баланса между msat, sats и BTC.
    - Канал в один клик открывается для существующих пиров
    - Фильтрация событий платежей в журнале платежей
    - В шлюз интерфейс добавлены вкладки Peers и Notes.
    - Параллельная обработка HTLC для повышения пропускной способности платежей.
  
  Улучшения Стража и Федерации:
    - Стражи теперь публикуют свою личность в децентрализованной системе DNS Pkarr для упрощения обнаружения пиров.
    - Модернизированная настройка и приборная панель интерфейс с дизайном в стиле Material.
    - Отображение QR-кода и сканирование кодов настройки
    - Индикатор подключения к сети в настройках и на панели управления интерфейс
    - Код установки теперь включает размер федерации для проверки.
    - Максимальный лимит опекунов увеличен до 19.
  
  Производительность и надежность:
    - Значительное снижение использования памяти — исправлена проблема с кэшированием обратной трассировки, из-за которой объем шлюзовой памяти уменьшался с ~1,6 ГБ до менее 200 МБ.
    - Настройки RocksDB по умолчанию настроены для меньшего использования памяти в ограниченных средах.
    - Расширенные метрики Prometheus для сети, соединений iroh, обработки HTLC и вызовов RPC Bitcoin.
    - Исправлена проблема с миграцией БД.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/fedimint/fedimint/releases.